Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.extra
Class SequenceExchanger

    java.lang.Object
      com.saxonica.extra.SequenceExchanger

    public class SequenceExchanger

extends Object

This class enables one thread to produce a sequence of items in push mode, and another thread to read the sequence of items in pull mode, using a producer/consumer model. The class itself is abstract: it's just a wrapper around a collection of static inner classes.

Nested Class Summary
`static class` | `SequenceExchanger.Consumer` The Consumer is a SequenceIterator that reads a sequence of items from the Conduit: that is, it allows its caller to make a sequence of calls on next(), each of which will return the next item pushed onto the Conduit by the corresponding Producer.
`static class` | `SequenceExchanger.EvaluationThread` EvaluationThread is a producer that evaluates an expression in "push" mode, writing the results to a Conduit.
`static class` | `SequenceExchanger.Producer` The class Producer represents the thread that pushes items onto the Conduit.
`static class` | `SequenceExchanger.SequencePusher` A SequenceReceiver that accepts a sequence of events and writes them to a Conduit

Constructor Summary
`SequenceExchanger()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceExchanger

    public SequenceExchanger()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.